# Vert

Vert is the service container for Vue to build Vue applications in OOP.

[![npm version](https://badge.fury.io/js/%40vert%2Fcore.svg)](https://badge.fury.io/js/%40vert%2Fcore)
[![test status](https://github.com/vuevert/Vert-Core/workflows/Test/badge.svg)](https://github.com/LancerComet/vue-jsonp/actions)

![vert-logo](https://raw.githubusercontent.com/LancerComet/Vert-Core/master/logo.png)

## Introduction

Vert is a library which is designed for building applications that are based on Vue in OOP. It provides some function and decorators to help you to achieve that goal. In General, it's a service container for Vue and makes your project Angular-like.

## Features

 - Build OOP Vue apps by using Angular-like grammar.
 - Pure TypeScript Experience.
 - Service container for Vue.
 - Inject dependencies into Vue components directly.
 - Built-in service ([@vert/services](https://github.com/LancerComet/Vert-Services)).
 - Available for both [Vue-SSR](https://ssr.vuejs.org) and [Nuxt.js](https://github.com/nuxt/nuxt.js).
 
## Documents

Please check all documents [here](https://github.com/vuevert/Vert-Core/tree/master/doc).

## Demo

 - [vert-vue-ssr-template](https://github.com/LancerComet/vert-vue-ssr-template)
 - [vert-demo](https://github.com/LancerComet/Vert-Demo)

## Take care of yourself

I have developed several projects with this tool however please take care of yourself, leave me a issue if there is a bug.

## Which projects?

Some projects for https://live.bilibili.com/ and https://manga.bilibili.com/

## License

MIT
